Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.actions
Class MapAction<T>

    java.lang.Object
      com.maryanovsky.map.client.actions.MapAction<T>

Direct Known Subclasses:
  AreaSelectionAction, ClickPanAction, ClickZoomInAction, DragPanAction, DragPanAction, InertialDragPanAction, MultiFingerTapZoomOutAction, PinchMagnifyAction, TapZoomInAction, WheelScrollZoomAction

    public abstract class MapAction<T>

extends Object

A convenience base class for all map actions. The class is parameterized with the type of gesture event source for the gesture the action is triggered by.

Author:
  Maryanovsky Alexander

Field Summary
`protected boolean` | `isAnimated` Whether whatever transition the action applies should be animated.
`protected MapWidget` | `mapWidget` The map widget this action affects.

Constructor Summary
`MapAction(MapWidget mapWidget)` Creates a new `MapAction` that will act on the specified map widget.
`MapAction(MapWidget mapWidget, boolean isAnimated)` Creates a new `MapAction` that will act on the specified map widget with possibly animated transitions.

Method Summary
`abstract HandlerRegistration` | `registerWith(T gestureRecognizer)` Registers this action as a handler for the gesture it is triggered by.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapWidget

    protected final MapWidget mapWidget

  The map widget this action affects.

### isAnimated

    protected final boolean isAnimated

  Whether whatever transition the action applies should be animated.

Constructor Detail

### MapAction

    public MapAction(MapWidget mapWidget)

  Creates a new `MapAction` that will act on the specified map widget.

### MapAction

    public MapAction(MapWidget mapWidget,
                     boolean isAnimated)

  Creates a new `MapAction` that will act on the specified map widget with possibly animated transitions.

Method Detail

### registerWith

    public abstract HandlerRegistration registerWith(T gestureRecognizer)

  Registers this action as a handler for the gesture it is triggered by.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD